[versions]
awaitility = "4.2.0"
errorprone = "2.26.1"
errorpronePlugin = "3.1.0"
jacoco = "0.8.11"
javafxplugin = "0.1.0"
jmockit = "1.49.a"
josm = "0.8.2"
junit = "5.10.2"
markdown = "1.2.0"
pmd = "6.55.0"
sonarqube = "4.4.1.3373"
spotbugs = "4.3.0"
spotbugsPlugin = "6.0.8"
spotless = "6.25.0"
versions = "0.51.0"
wiremock = "2.27.2"
findsecbugs = "1.12.0"

[libraries]
awaitility = { group = "org.awaitility", name = "awaitility", version.ref = "awaitility"}
errorprone = { group = "com.google.errorprone", name = "error_prone_core", version.ref = "errorprone"}
findsecbugsPlugin = { group = "com.h3xstream.findsecbugs", name = "findsecbugs-plugin", version.ref = "findsecbugs" }
jmockit = { group = "org.jmockit", name = "jmockit", version.ref = "jmockit" }
josm-unittest = { group = "org.openstreetmap.josm", name = "josm-unittest", version = "SNAPSHOT" }
junit-jupiter-api = { group = "org.junit.jupiter", name = "junit-jupiter-api", version.ref = "junit" }
junit-jupiter-engine = { group = "org.junit.jupiter", name = "junit-jupiter-engine", version.ref = "junit" }
junit-jupiter-params = { group = "org.junit.jupiter", name = "junit-jupiter-params", version.ref = "junit" }
junit-vintage-engine = { group = "org.junit.vintage", name = "junit-vintage-engine", version.ref = "junit" }
wiremock = { group = "com.github.tomakehurst", name = "wiremock", version.ref = "wiremock" }

[bundles]
junit = ["junit-jupiter-engine", "junit-jupiter-params", "junit-jupiter-api", "junit-vintage-engine"]


[plugins]
errorprone = { id = "net.ltgt.errorprone", version.ref = "errorpronePlugin" }
javafx = { id  = "org.openjfx.javafxplugin", version.ref = "javafxplugin" }
josm = { id = "org.openstreetmap.josm", version.ref = "josm" }
markdown = { id = "org.kordamp.markdown.convert", version.ref = "markdown" }
sonarqube = { id = "org.sonarqube", version.ref = "sonarqube"}
spotbugs = { id = "com.github.spotbugs", version.ref = "spotbugsPlugin"}
spotless = { id = "com.diffplug.spotless", version.ref = "spotless" }
versions = { id = "com.github.ben-manes.versions", version.ref = "versions" }
